#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: attoparsec-enumerator
version: 0.3.4
id: attoparsec-enumerator-0.3.4-39c04f81a79c0395091bb2634793bcb6
key: attop_98f5iwOtCOA3xH8WiztYcL
license: MIT
maintainer: John Millikin <jmillikin@gmail.com>
stability: experimental
homepage: https://john-millikin.com/software/attoparsec-enumerator/
synopsis: Pass input from an enumerator to an Attoparsec parser.
description:
    This library allows an Attoparsec parser to receive input incrementally
    from an enumerator. This could be used for parsing large files, or
    implementing binary network protocols.
    .
    > (-# LANGUAGE OverloadedStrings #-)
    >
    > import Control.Applicative
    > import Data.Attoparsec
    > import Data.Attoparsec.Enumerator
    > import Data.Enumerator
    > import Data.Enumerator.Binary (enumHandle)
    > import Data.Enumerator.List
    > import System.IO
    >
    > parser = string "foo" <|> string "bar"
    >
    > main = do
    >     xy <- run_ (enumHandle 1 stdin $$ do
    >         x <- iterParser parser
    >         y <- iterParser parser
    >         return (x, y))
    >     print xy
category: Text, Parsing, Enumerator
author: John Millikin <jmillikin@gmail.com>
exposed: True
exposed-modules:
    Data.Attoparsec.Enumerator
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4
hs-libraries: HSattoparsec-enumerator-0.3.4-98f5iwOtCOA3xH8WiztYcL
include-dirs: /usr/local/include
depends:
    attoparsec-0.12.1.6-99fda756c7d47d27b4267b09d82f489d
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    enumerator-0.4.20-a26b7fec2456307c8b759316b52fc5a6
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4/html/attoparsec-enumerator.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/attoparsec-enumerator-0.3.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
